## ipband 0.7.2

=== Makefile ===
#
#  ipband - IP bandwidth watchdog
#  Change this variables to match your installation
#
#  Note: When the version changes, you also have to change
#  the RPM spec file

V=0.7.2

MAKE=make

CPPFLAGS=-I/usr/include/pcap
LIBS=-lpcap
CFLAGS=-Wall
CC=gcc 


BIN 	= ipband
SRC_C 	= main.c error.c init.c packets.c \
	  pcapfunc.c popen.c reports.c utils.c hash.c
OBJ_C   = $(SRC_C:.c=.o)


all: 	$(BIN)

$(BIN):	$(OBJ_C)
	$(CC) -o $(BIN) $(OBJ_C) $(LIBS) $(CFLAGS)
	strip $(BIN)


install: all
	install -D ipband   /usr/local/bin/ipband
	install -D ipband.1 /usr/local/man/man1/ipband.1
	install -D ipband.sample.conf /etc/ipband.sample.conf
	install -D ipband.rc /etc/rc.d/init.d/ipband


clean:
	rm -f *.o
	rm -f ipband


#
#  -------------------------------------------------------------------------
#
#  If we need rpm

SRC_ROOT = Makefile CHANGELOG COPYING README INSTALL ipband.spec
SRC_SRCS = Makefile *.c *.h ipband.1
SRC_CONF = ipband.sample.conf ipband.rc

tgz:	
	mkdir ipband-$(V)
	cp $(SRC_ROOT) ipband-$(V)/
	cp $(SRC_SRCS) ipband-$(V)/
	cp $(SRC_CONF) ipband-$(V)/
	tar -czvf ipband-$(V).tgz ipband-$(V)/
	rm -rf ipband-$(V)

rpm:    tgz
	mv ipband-$(V).tgz /usr/src/redhat/SOURCES
	cp ipband.spec /usr/src/redhat/SPECS
	rpm -bb ipband.spec

## ipband 0.8.1

=== Makefile ===
--- 
+++ 
@@ -5,14 +5,39 @@
 #  Note: When the version changes, you also have to change
 #  the RPM spec file
 
-V=0.7.2
+V=0.8.1
 
 MAKE=make
 
 CPPFLAGS=-I/usr/include/pcap
 LIBS=-lpcap
-CFLAGS=-Wall
+CFLAGS := -Wall $(CFLAGS)
 CC=gcc 
+
+ifndef PREFIX
+PREFIX=/usr
+endif
+
+ifndef BINDIR
+BINDIR=$(PREFIX)/sbin
+endif
+
+ifndef MANDIR
+MANDIR=$(PREFIX)/share/man
+endif
+
+ifndef MAN8DIR
+MAN8DIR=$(MANDIR)/man8
+endif
+
+ifndef SYSCONFDIR
+#SYSCONFDIR=$(PREFIX)/etc
+SYSCONFDIR=/etc
+endif
+
+ifndef RCDIR
+RCDIR=$(SYSCONFDIR)/rc.d/init.d
+endif
 
 
 BIN 	= ipband
@@ -27,12 +52,16 @@
 	$(CC) -o $(BIN) $(OBJ_C) $(LIBS) $(CFLAGS)
 	strip $(BIN)
 
+install-strip:	install
 
 install: all
-	install -D ipband   /usr/local/bin/ipband
-	install -D ipband.1 /usr/local/man/man1/ipband.1
-	install -D ipband.sample.conf /etc/ipband.sample.conf
-	install -D ipband.rc /etc/rc.d/init.d/ipband
+	mkdir -p $(DESTDIR)$(BINDIR) $(DESTDIR)$(MAN8DIR)
+	mkdir -p $(DESTDIR)$(SYSCONFDIR)
+	mkdir -p $(DESTDIR)$(RCDIR)
+	install -D ipband   		$(DESTDIR)$(BINDIR)/ipband
+	install -D ipband.8 		$(DESTDIR)$(MAN8DIR)/ipband.8
+	install -D ipband.sample.conf 	$(DESTDIR)$(SYSCONFDIR)/ipband.sample.conf
+	install -D ipband.rc 		$(DESTDIR)$(RCDIR)/ipband
 
 
 clean:
@@ -45,8 +74,8 @@
 #
 #  If we need rpm
 
-SRC_ROOT = Makefile CHANGELOG COPYING README INSTALL ipband.spec
-SRC_SRCS = Makefile *.c *.h ipband.1
+SRC_ROOT = Makefile CHANGELOG COPYING README INSTALL ipband.spec styles.css
+SRC_SRCS = Makefile *.c *.h ipband.8
 SRC_CONF = ipband.sample.conf ipband.rc
 
 tgz:	
@@ -60,4 +89,4 @@
 rpm:    tgz
 	mv ipband-$(V).tgz /usr/src/redhat/SOURCES
 	cp ipband.spec /usr/src/redhat/SPECS
-	rpm -bb ipband.spec
+	rpmbuild -bb ipband.spec

=== debian/changelog ===
ipband (0.8.1-6) unstable; urgency=medium

  [ Emmanuel Arias ]
  * d/control: Add Salvaging Team as Maintainer. Add to Mats Erik Andersson and
    myself as Uploaders.
    Closes: #1115533
  * Set Vcs-Fields (routine-update)
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * d/control: Add ${misc:Pre-Depends} to binary package stanza.
  * d/control: Add as Depends default-mta instead of exim4.
  * d/ipband.service: Add ships systemd unit (Closes: #1039234).
    - d/ipband.init: Remove not longer need code.
  * d/control: Remove lsb-base Depends.
  * d/rules: Remove use of CPPFLAGS customize.

  [ Andreas Tille ]
  * d/watch: Bump version to 5.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 08 Oct 2025 12:42:04 +0200

ipband (0.8.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957369)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 11 Nov 2020 19:11:52 +0000

ipband (0.8.1-5) unstable; urgency=low

  * Step up to Standards version 3.9.8, no changes.
  * Increase hardening level.
  * Binary package depends on lsb-base due to init script.
  * debian/copyright: Misspelled field name.
  * More spelling mistakes.
    + debian/ipband.conf-*: Updated.
    + debian/ipband.default: Likewise.
  * [lintian] Spelling errors in binary and manual page.
    + debian/patches/06_spelling_errors.diff: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 06 Dec 2016 15:13:55 +0100

ipband (0.8.1-4) unstable; urgency=low

  * Updating to Standards 3.9.6, compatibility 9.
    * debian/control: Build depends on debhelper (>= 9).
    * debian/compat: Updated.
  * Hardening of executables.
    + debian/patches/01_fix_makefile.diff: Renamed and updated.
    + debian/rules: Set and export CFLAGS, CPPFLAGS, and LDFLAGS.
  * Replace the date macro to achieve reproducible builds.
    + debian/patches/05_reproducible_timestamp.diff: New file.
    + debian/rules: Update CPPFLAGS.
  * Set formal user 'ipband' as origin of mail message.
    + debian/patches/04_check_mailer_strings.diff: Updated.
  * Include upstream's original 'styles.css'.
    + debian/ipband.examples: Updated.
    + debian/rules: Override dh_fixperms.
  * Avoid creation of '/ipband.txt'.
    + debian/ipband.conf-simple: Updated.
  * [lintian] Source the LSB collection of init-functions.
    + debian/ipband.init: Updated.
  * Evaluation of copyright situation.
    + debian/copyright: Rewritten according to DEP-5.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sun, 12 Jul 2015 18:09:05 +0200

ipband (0.8.1-3) unstable; urgency=low

  * New maintainer. (Closes: #553356)
  * Standards version 3.9.1:
    + Compatibility level 8.
    + Build-depends: debhelper (>= 8).
  * Migration to format "3.0 (quilt)".
  * debian/rules: Trivial content using "dh".
    + debian/ipband.examples: New file.
  * debian/postrm: maintainer-script-without-set-e
  * Binary package: dir-or-file-in-var-run
    + debian/ipband.dirs: Removed.
  * [lintian]: Spelling error.
    + debian/patches/02_manpage_spelling_errors.diff: New file.
  * Compiler warnings:
    + debian/patches/03_compiler_warnings.diff: New file.
  * Strengthen string checking to prevent a crash:
    + debian/patches/04_check_mailer_strings.diff: New file.
  * debian/watch: Let URL end in a dash.
  * debian/copyright: Restore a verbatim quotation.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 22 Mar 2011 17:18:00 +0100

ipband (0.8.1-2) unstable; urgency=low

  * [f5fb74a] Orphaning package
  * [c854e6c] Bump to Standards-Version 3.8.3 and added ${misc:Depends}
    in depends
  * [dfd04e5] Added a README.source
  * [bb4c614] Create /var/run/ipband in init script

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 23 Jan 2010 11:26:36 +0100

ipband (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Drop 02_minor_fix_on_main.c.dpatch, 03_manpage.dpatch, 04_ipband.h.dpatch,
    05_sendmail_in_init.c.dpatch, 06_fix_counter_overflow.dpatch, now they are
    in Upstream (Thanks Andrew Nevynniy)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Tue, 17 Jun 2008 19:56:12 +0200

ipband (0.8-1) unstable; urgency=low

  * New upstream release
  * New maintainer (Closes: #472736)
  * Decrease debhelper level to 5
  * Switch to dpatch
  * Updated to standards version 3.8.0
  * Fix debian/ipband.conf-simple subnet definition
  * Updated debian/ipband.conf-verbose
  * Changed integer type to hold cumulative byte count from long to double to
    avoid counter overflow in reports. Thanks to Andrew Nevynniy (upstream)
    (Closes: #363407)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sat, 14 Jun 2008 15:51:46 +0200

ipband (0.7.2-5) unstable; urgency=low

  * QA upload.
  * Don't fail to build if strtok_r is defined as a macro (Closes: #475977)
  * Replace exim with exim4 in dependencies (Closes: #420272, #255351)
  * Increase debhelper level to 6
  * Add proper copyright statement to debian/copyright

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 15 Apr 2008 01:37:36 +0200

ipband (0.7.2-4) unstable; urgency=low

  * QA upload.
  * Set maintainer to Debian QA Group
  * Added LSB formatted dependency info in init.d script (closes: #469609)
  * Replaced DH_COMPAT by debian/compat file
  * Don't ignore make clean errors
  * Removed old FSF address from copyright file, and linked to GPL-2 file
  * Added Homepage control field
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Tue, 01 Apr 2008 23:49:39 +0200

ipband (0.7.2-3) unstable; urgency=medium

  * Change ipband's manpage section from 1 (Executable programs or shell
    commands) to 8 (System administration commands), and update all references
    to the manpage.
  * Fix bad grammar in /etc/default/ipband
  * Change urgency to "medium"; the bashism fixed in the last upload (which
    closed #231102) was a fairly serious problem.
  * Change Maintainer: email address from my private address to


=== debian/control ===
Source: ipband
Section: net
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Mats Erik Andersson <mats.andersson@gisladisker.se>,
           Emmanuel Arias <eamanu@debian.org>,
Build-Depends: debhelper-compat (= 13), libpcap-dev
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/salvage-team/ipband.git
Vcs-Browser: https://salsa.debian.org/salvage-team/ipband
Homepage: http://ipband.sourceforge.net/

Package: ipband
Architecture: any
Depends: ${misc:Depends},
         default-mta | mail-transport-agent,
         ${shlibs:Depends}
Pre-Depends:
 ${misc:Pre-Depends},
Description: daemon for subnet bandwidth monitoring with reporting via email
 This is a daemon which can monitor as many different subnets (or individual
 hosts, by specifying a "subnet" of /32) as you'd like. The reporting facility
 will only be triggered when a defined bandwidth level had been exceeded for a
 defined time.
 .
 Information reported includes the connections which are taking up the most
 bandwidth (ip address and port pairs). Reporting is done via email.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_MAINT_OPTIONS

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	# Upstream is setting everything to executables.
	chmod a-x debian/ipband/usr/share/doc/ipband/examples/styles.css

=== debian/watch ===
Version: 5

Source: https://sf.net/@PACKAGE@/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
